/*
 * Copyright (C) 2000-2005
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 */

package estella.lib;
import  estella.lib.*;

import  java.util.List;
import  java.util.LinkedList;
import  java.util.Collections;
import  java.util.Iterator;

/**
* Gerencia uma lista de objetos do tipo arquivo
* @see Lista
* @see Arquivo
* @author Cesar Kallas
* @since 07/12/2005
*/
public class ArquivoLista extends Lista
{
	private Constantes CON;
		
	public ArquivoLista()
	{
		super();
	}
	
  public ArquivoLista(List LISTA)
  {
    super(LISTA);
  }
	
	/**
	* Verifica se existe um arquivo (ou mais) arquivos com o nome passado
	* @param nomeArquivo - nome do arquivo a ser verificad
	* @return String com todos arquivos encontrados, separados por ';' index, nome, tamanho, caminho
	*/
  public String existe(String termo)
  {
		String resultado = new String("");		
    Iterator i;
    try {
      synchronized(LISTA) {
        i = LISTA.iterator();
        while (i.hasNext()) {
          Arquivo arquivo = (Arquivo) i.next();
					if(arquivo.nome.indexOf(termo) != -1) {
						resultado += arquivo.index + CON.SEPARADOR;
						resultado += arquivo.tamanho + CON.SEPARADOR;
						resultado += arquivo.nome + CON.SEPARADOR;
						//resultado += arquivo.caminho + CON.SEPARADOR;
					}
        }
      }
			LOG.info("\n\n" + resultado + "\n\n");
      return resultado;
    }
    catch(Exception FalhaConsultaObj) {
      LOG.info(FalhaConsultaObj.getMessage());
      return null;
    }
  }
}