/*
 * Copyright (C) 2005 Cesar Kallas
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * E-mail: cesarkallas@gmx.net
 * http://cesarkallas.soulivre.org
 *
 */
 
package estella.lib;
import  estella.lib.*;

import  java.util.List;
import  java.util.LinkedList;
import  java.util.Collections;
import  java.util.Iterator;

/**
* Gerencia uma lista do tipo Conexao
* Essa classe depende da classe de Lista, no qual gerencia uma Lista de objetos
* @author Cesar Kallas - cesarkallas@gmx.net
* @since 01/12/2005
* @see Lista
*/
public class DescritorLista extends Lista
{
  public DescritorLista()
  {
		super();
  }
  
  public DescritorLista(List LISTA)
  {
    super(LISTA);
  }
  
  /**
	* Verifica se existe um host (ip / nome computador) na lista
	* @param host a ser verificado
	* @return true ou false
	*/
  public boolean existe(String id)
  {
    Iterator i;
		byte[] localId;
		localId = new byte[16];
    try {
      synchronized(LISTA) {
				i = LISTA.iterator();
				while (i.hasNext()) {
					Descritor descritor = (Descritor) i.next();
					if(descritor.stringId().equals(id))
						return true;
				}
				return false;
			}
    }
    catch(Exception FalhaConsultaObj) {
      LOG.info(FalhaConsultaObj.getMessage());
      return false;
    }
  }

	/**
	* Verifica se existe um host (ip / nome computador) na lista e remove 
	* @param id 16 bytes em id para verificar
	* @return true ou false
	*/
  public boolean remove(byte[] id)
  {
    Iterator i;
		byte[] localId;
		localId = new byte[16];
		
    try {
      synchronized(LISTA) {
        i = LISTA.iterator();
        while (i.hasNext()) {    
          Descritor descritor = (Descritor) i.next();
          localId = descritor.retorna();
					if(localId == id)
            remove(descritor);
        }
      }
      return false;
    }
    catch(Exception FalhaConsultaObj) {
      LOG.info(FalhaConsultaObj.getMessage());
      return false;
    }
  }
}
